/*==============================================================================================
       - .     .  -   3,    10.
    2,    1.     1,  -  1.     0,    10.
==============================================================================================*/

#define F_CPU 14745600UL																		//    

#include "MC4A7D4R4O.h"																			// 
//#include "MC12D6R.h"																			// 

#include <avr/io.h>																				//  -
#include "LED.h"																				//   LED 
#include "Key.h"																				//   

#include<stdio.h>																				//  - (         )

int main(void)
{
	LED_Init();																					// 
	Key_Init(LATCH_OFF);																		//  (  )

	char buf[7];																				//     

	int Count=0;																				//
	
	while(1)																					// 
	{
		LED_Clear();																			// 
		LED_Return_Home();																		//    
		
		if (Key(3)==DOWN) Count-=10;															//  3
		else if (Key(2)==DOWN) Count--;															//  2
		else if (Key(1)==DOWN) Count++; 														//  1
		else if (Key(0)==DOWN) Count+=10; 														//  0
		
		sprintf(buf,"%d",Count);																//   
		
		LED_Write_String(buf);																	//   
		
		_delay_ms(100);																			//
	}
}
